[libgovirt] Add translation support
- From: Fabiano Fidêncio <ffidencio src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [libgovirt] Add translation support
- Date: Mon, 15 Sep 2014 12:44:21 +0000 (UTC)
commit 436bf30425cdec0eadfb8f4c08c2f9e94c09b7f1
Author: Fabiano Fidêncio <fidencio redhat com>
Date: Mon Sep 15 02:23:00 2014 +0200
Add translation support
Makefile.am | 21 ++++++++++++++++++---
autogen.sh | 15 +++++----------
configure.ac | 8 ++++++++
govirt/Makefile.am | 4 +++-
4 files changed, 34 insertions(+), 14 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index d6d93d5..7638b7f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,8 +1,21 @@
ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
-SUBDIRS = \
+SUBDIRS = \
govirt \
- examples
+ examples \
+ po
+
+INTLTOOL_FILES = \
+ intltool-extract.in \
+ intltool-merge.in \
+ intltool-update.in \
+ $(NULL)
+
+DISTCLEANFILES = \
+ intltool-extract \
+ intltool-merge \
+ intltool-update \
+ $(NULL)
EXTRA_DIST = \
COPYING \
@@ -12,7 +25,9 @@ EXTRA_DIST = \
README \
NEWS \
autogen.sh \
- libgovirt.doap
+ libgovirt.doap \
+ $(INTLTOOL_FILES) \
+ $(NULL)
MAINTAINERCLEANFILES = \
ChangeLog \
diff --git a/autogen.sh b/autogen.sh
index 4a393c4..c020218 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -21,14 +21,9 @@ cd "$srcdir"
# exit 1
#fi
-AUTORECONF=`which autoreconf`
-if test -z $AUTORECONF; then
- echo "*** No autoreconf found, please install it ***"
- exit 1
-fi
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME git"
+ exit 1
+}
-#gtkdocize || exit $?
-AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
-
-cd "$olddir"
-test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
+ACLOCAL_FLAGS="$ACLOCAL_FLAGS" USE_GNOME2_MACROS=1 . gnome-autogen.sh --enable-gtk-doc "$@"
diff --git a/configure.ac b/configure.ac
index c50fe20..de8d4b5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -54,6 +54,13 @@ AC_PROG_INSTALL
LT_PREREQ([2.2])
LT_INIT
+# i18 support
+IT_PROG_INTLTOOL(0.40.0)
+
+GETTEXT_PACKAGE=AC_PACKAGE_NAME
+AC_SUBST(GETTEXT_PACKAGE)
+AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE],["$GETTEXT_PACKAGE"],[The name of the gettext domain])
+
dnl ---------------------------------------------------------------------------
dnl - Extra verbose warning switches
dnl ---------------------------------------------------------------------------
@@ -118,6 +125,7 @@ Makefile
examples/Makefile
govirt/govirt-1.0.pc
govirt/Makefile
+po/Makefile.in
])
AC_OUTPUT
diff --git a/govirt/Makefile.am b/govirt/Makefile.am
index 645545d..e905f1f 100644
--- a/govirt/Makefile.am
+++ b/govirt/Makefile.am
@@ -7,7 +7,9 @@ AM_CPPFLAGS = \
-I$(top_srcdir)/govirt \
-DG_LOG_DOMAIN=\"libgovirt\" \
-DTESTDATADIR=\""$(top_srcdir)/data/tests"\" \
- -DPACKAGE_DATA_DIR=\""$(datadir)"\"
+ -DPACKAGE_DATA_DIR=\""$(datadir)"\" \
+ -DLOCALEDIR="\"$(datadir)/locale\"" \
+ $(NULL)
lib_LTLIBRARIES = \
libgovirt.la
diff --git a/po/LINGUAS b/po/LINGUAS
new file mode 100644
index 0000000..e69de29
diff --git a/po/POTFILES.in b/po/POTFILES.in
new file mode 100644
index 0000000..e69de29
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]